# coding: utf-8

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import peertube
from peertube.api.my_subscriptions_api import MySubscriptionsApi  # noqa: E501
from peertube.rest import ApiException


class TestMySubscriptionsApi(unittest.TestCase):
    """MySubscriptionsApi unit test stubs"""

    def setUp(self):
        self.api = peertube.api.my_subscriptions_api.MySubscriptionsApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_users_me_subscriptions_exist_get(self):
        """Test case for users_me_subscriptions_exist_get

        Get if subscriptions exist for my user  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_get(self):
        """Test case for users_me_subscriptions_get

        Get my user subscriptions  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_post(self):
        """Test case for users_me_subscriptions_post

        Add subscription to my user  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_subscription_handle_delete(self):
        """Test case for users_me_subscriptions_subscription_handle_delete

        Delete subscription of my user  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_subscription_handle_get(self):
        """Test case for users_me_subscriptions_subscription_handle_get

        Get subscription of my user  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_videos_get(self):
        """Test case for users_me_subscriptions_videos_get

        List videos of subscriptions of my user  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
